%define version 0.31
Name:				gnubile
Summary:			gtk client for the gnutella protocol
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				Applications/Networking
Source:				gnubile-%{version}-pre.tar.gz
Vendor:				Spencer Kimball <spencer@wego.com> and Gene Kan <gene@wego.com>
URL:				http://gnutella.wego.com
BuildRoot:			/tmp/gnubile-broot

%description
Thanks for trying out the second pre-release of Gnubile.  It's still raw,
but we're working hard to get it to a stable and fully-usable state.
Right now it routes packets and allows you to search and download.  We
figured it was enough to get it out there and start getting feedback.
Hopefully you agree. Sorry it leaks memory and does not allow you to share
your files.


%changelog
* Mon Apr 17 2000 William Stearns <wstearns@pobox.com>
- Updated source to 0.30-pre
- Updated to 0.13-pre with new arc4random replacement

* Sat Apr 15 2000 William Stearns <wstearns@pobox.com>
- Updated source to 0.22-pre

* Thu Apr 13 2000 William Stearns <wstearns@pobox.com>
- first rpm.


%prep
%setup -n gnubile-%{version}-pre


%build
./configure
make


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/gnubile-broot" ]; then
    rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/usr/local/bin
	install -d $RPM_BUILD_ROOT/usr/local/share/gnubile/pixmaps
	make DESTDIR=/tmp/gnubile-broot install
else
	echo Invalid Build root
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/gnubile-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi


%files
%attr(755,root,root)				/usr/local/bin/gnubile
%attr(755,root,root)		%dir	/usr/local/share/gnubile
%attr(755,root,root)		%dir	/usr/local/share/gnubile/pixmaps

